> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Log Streams

> Search log streams for a project.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/projects/{project_id}/log_streams/search
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}/log_streams/search:
    post:
      tags:
        - log_stream
      summary: Search Log Streams
      description: Search log streams for a project.
      operationId: search_log_streams_v2_projects__project_id__log_streams_search_post
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LogStreamSearchRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListLogStreamResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    LogStreamSearchRequest:
      properties:
        starting_token:
          type: integer
          title: Starting Token
          default: 0
        limit:
          type: integer
          title: Limit
          default: 100
        filters:
          items:
            oneOf:
              - $ref: '#/components/schemas/LogStreamIDFilter'
              - $ref: '#/components/schemas/LogStreamNameFilter'
              - $ref: '#/components/schemas/LogStreamCreatedByFilter'
              - $ref: '#/components/schemas/LogStreamCreatedAtFilter'
              - $ref: '#/components/schemas/LogStreamUpdatedAtFilter'
            discriminator:
              propertyName: name
              mapping:
                created_at:
                  $ref: '#/components/schemas/LogStreamCreatedAtFilter'
                created_by:
                  $ref: '#/components/schemas/LogStreamCreatedByFilter'
                id:
                  $ref: '#/components/schemas/LogStreamIDFilter'
                name:
                  $ref: '#/components/schemas/LogStreamNameFilter'
                updated_at:
                  $ref: '#/components/schemas/LogStreamUpdatedAtFilter'
          type: array
          title: Filters
        sort:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/LogStreamNameSort'
                - $ref: '#/components/schemas/LogStreamCreatedAtSort'
                - $ref: '#/components/schemas/LogStreamUpdatedAtSort'
              discriminator:
                propertyName: name
                mapping:
                  created_at:
                    $ref: '#/components/schemas/LogStreamCreatedAtSort'
                  name:
                    $ref: '#/components/schemas/LogStreamNameSort'
                  updated_at:
                    $ref: '#/components/schemas/LogStreamUpdatedAtSort'
            - type: 'null'
          title: Sort
          default:
            name: created_at
            ascending: false
            sort_type: column
        include_counts:
          type: boolean
          title: Include Counts
          default: false
      type: object
      title: LogStreamSearchRequest
    ListLogStreamResponse:
      properties:
        starting_token:
          type: integer
          title: Starting Token
          default: 0
        limit:
          type: integer
          title: Limit
          default: 100
        paginated:
          type: boolean
          title: Paginated
          default: false
        next_starting_token:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Starting Token
        log_streams:
          items:
            $ref: '#/components/schemas/LogStreamResponse'
          type: array
          title: Log Streams
      type: object
      required:
        - log_streams
      title: ListLogStreamResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LogStreamIDFilter:
      properties:
        name:
          type: string
          const: id
          title: Name
          default: id
        operator:
          type: string
          enum:
            - eq
            - ne
            - one_of
            - not_in
            - contains
          title: Operator
          default: eq
        value:
          anyOf:
            - type: string
              format: uuid4
            - items:
                anyOf:
                  - type: string
                    format: uuid4
                  - type: string
              type: array
            - type: string
          title: Value
      type: object
      required:
        - value
      title: RunIDFilter
    LogStreamNameFilter:
      properties:
        name:
          type: string
          const: name
          title: Name
          default: name
        operator:
          type: string
          enum:
            - eq
            - ne
            - contains
            - one_of
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
        case_sensitive:
          type: boolean
          title: Case Sensitive
          default: true
      type: object
      required:
        - operator
        - value
      title: RunNameFilter
    LogStreamCreatedByFilter:
      properties:
        name:
          type: string
          const: created_by
          title: Name
          default: created_by
        operator:
          type: string
          enum:
            - eq
            - ne
            - one_of
            - not_in
            - contains
          title: Operator
          default: eq
        value:
          anyOf:
            - type: string
              format: uuid4
            - items:
                anyOf:
                  - type: string
                    format: uuid4
                  - type: string
              type: array
            - type: string
          title: Value
      type: object
      required:
        - value
      title: RunCreatedByFilter
    LogStreamCreatedAtFilter:
      properties:
        name:
          type: string
          const: created_at
          title: Name
          default: created_at
        operator:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
          title: Operator
        value:
          type: string
          format: date-time
          title: Value
      type: object
      required:
        - operator
        - value
      title: RunCreatedAtFilter
    LogStreamUpdatedAtFilter:
      properties:
        name:
          type: string
          const: updated_at
          title: Name
          default: updated_at
        operator:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
          title: Operator
        value:
          type: string
          format: date-time
          title: Value
      type: object
      required:
        - operator
        - value
      title: RunUpdatedAtFilter
    LogStreamNameSort:
      properties:
        name:
          type: string
          const: name
          title: Name
          default: name
        ascending:
          type: boolean
          title: Ascending
          default: true
        sort_type:
          type: string
          const: column
          title: Sort Type
          default: column
      type: object
      title: RunNameSort
    LogStreamCreatedAtSort:
      properties:
        name:
          type: string
          const: created_at
          title: Name
          default: created_at
        ascending:
          type: boolean
          title: Ascending
          default: true
        sort_type:
          type: string
          const: column
          title: Sort Type
          default: column
      type: object
      title: RunCreatedAtSort
    LogStreamUpdatedAtSort:
      properties:
        name:
          type: string
          const: updated_at
          title: Name
          default: updated_at
        ascending:
          type: boolean
          title: Ascending
          default: true
        sort_type:
          type: string
          const: column
          title: Sort Type
          default: column
      type: object
      title: RunUpdatedAtSort
    LogStreamResponse:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        name:
          type: string
          title: Name
        project_id:
          type: string
          format: uuid4
          title: Project Id
        created_by:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Created By
        created_by_user:
          anyOf:
            - $ref: '#/components/schemas/UserInfo'
            - type: 'null'
        num_spans:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Spans
        num_traces:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Traces
        has_user_created_sessions:
          type: boolean
          title: Has User Created Sessions
          default: false
      type: object
      required:
        - id
        - created_at
        - updated_at
        - name
        - project_id
      title: LogStreamResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserInfo:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        email:
          type: string
          title: Email
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
      type: object
      required:
        - id
        - email
      title: UserInfo
      description: A user's basic information, used for display purposes.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````